import request from '@/config/axios'

export const FiveIotProjectDailyReportApi = {
  // 获取项目日报分页
  getIotProjectDailyReportPage: async (params) => {
    return await request.get({ url: '/pms/iot-five-daily-report/page', params })
  },
  // 查看项目日报详情
  getIotProjectDailyReport: async (id) => {
    return await request.get({ url: '/pms/iot-five-daily-report/get?id=' + id })
  },
  // 填报项目日报
  updateIotProjectDailyReport: async (data) => {
    return await request.put({ url: '/pms/iot-five-daily-report/update', data })
  },

  // 日报汇总统计卡片
  getIotProjectDailyReportSummary: async (params) => {
    return await request.get({ url: '/pms/iot-five-daily-report/totalWorkload', params })
  },

  // 获取项目日报分页
  getProjectDailyReportSummaryPage: async (params) => {
    return await request.get({ url: '/pms/iot-five-daily-report/summaryStatistics', params })
  }
}
